[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.GetWindowOrgEx

Retrieves the window origin for a device context in logical units.

## Declaration

Source position: winapih.inc line 162

`public function TWidgetSet.GetWindowOrgEx(`
`dc: HDC;`
`var P: TPoint`
`):Integer; virtual; function TWidgetSet.GetWindowOrgEx(`
`dc: HDC;`
`P: PPoint`
`):Integer; virtual;`

## Arguments

`dc` |  | The device context.
`P` |  | Receives the origin.

## Function result

Zero on failure.

## Arguments

`dc` |  | The device context.
`P` |  | Receives the origin.

## See also

TWidgetSet.SetWindowOrgEx |  | Specifies which window point maps to the viewport origin (0,0).
TWidgetSet.GetViewPortOrgEx |  | Returns the origin of the viewport for a device context.